# mongoc_database_copy()

## Synopsis

    mongoc_database_t *
    mongoc_database_copy (mongoc_database_t *database);

## Parameters

database | A mongoc_database_t.

## Description

Performs a deep copy of the database struct and its configuration. Useful if you intend to call mongoc_database_set_write_concern, mongoc_database_set_read_prefs, or mongoc_database_set_read_concern, and want to preserve an unaltered copy of the struct.

This function does not copy the contents of the database on the MongoDB server; use the copydb command for that purpose.

## Returns

A newly allocated mongoc_database_t that should be freed with mongoc_database_destroy() when no longer in use.